=== pkg/archlinux/PKGBUILD ===
# Contributor: Aaron Schaefer <aaron@elasticdog.com>
pkgname=tarsnap
pkgver=1.0.19
pkgrel=1
pkgdesc="An online encrypted snapshotted backup service"
arch=('i686' 'x86_64')
url='http://www.tarsnap.com/'
license=('custom')
depends=('bzip2' 'openssl')
makedepends=('e2fsprogs')
source=("https://beta.tarsnap.com/download/$pkgname-autoconf-$pkgver.tgz")
md5sums=('bf9a3a57ad997462dd71ad9f07ffb66c')
sha256sums=('7cd94c5238b992a5f2fdbe8e5a555fd745bcd6b47c312632482f4de32d183fd6')

build() {
  cd "$srcdir/$pkgname-autoconf-$pkgver"

  ./configure --prefix=/usr --sysconfdir="/etc/$pkgname"
  make || return 1
  make DESTDIR="$pkgdir/" install

  install -D -m644 COPYING "$pkgdir/usr/share/licenses/$pkgname/COPYING"
}
